Name:           urpm-tools
Version:        2.3.5
Release:        1
Summary:        Utilities that help to work with URPM-based repositories
Group:          System/Configuration/Packaging
License:        GPLv2
URL:            http://wiki.rosalab.ru/index.php/Urpm-tools
Source0:        https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	urpmi	       >= 6.68
Requires:	python-rpm     >= 5.3
Requires:	libxml2-python >= 2.7
Requires:       gzip
Requires:	python-rpm5utils = %{version}

%description
%{name} is a collection of utilities for URPM-based repositories. 
They make URPM-based repositories easier and more powerful to use.
These tools include: urpm-downloader, urpm-package-cleanup, 
urpm-repoclosure, urpm-repodiff, urpm-repomanage, urpm-repograph,
urpm-reposync

%package -n	python-rpm5utils
Group:		Development/Python
Summary:	Auxiliary modules to work with rpm
Provides:	python-rpm5utils = %{version}-%{release}

%description -n python-rpm5utils
%{name} contains some useful modules that are used by %{name}.
Mostly taken from yum.

%prep
%setup -q

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/urpm-reposync %{buildroot}%{_sbindir}/

ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/urpm-reposync

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/urpm-reposync <<EOF
USER=root
PROGRAM=/usr/sbin/urpm-reposync
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/urpm-reposync  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/urpm*
%{_sbindir}/urpm*
%{_mandir}/man1/*

%doc COPYING

%files -n python-rpm5utils
%doc rpm5utils/COPYING
%dir %{py_puresitedir}/rpm5utils
%dir %{py_puresitedir}/rpm5utils/tests
%dir %{py_puresitedir}/rpm5utils/urpmgraphs
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/algorithms
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/components
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/classes

%{py_puresitedir}/urpmmisc.py
%{py_puresitedir}/rpm5utils/*.py*
%{py_puresitedir}/rpm5utils/tests/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/components/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/classes/*.py*

%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*

%changelog

* Mon Mar 13 2017 Denis Silakov <dsilakov@virtuozzo.com> 2.3.5-1
- (aa7a021) Do not fail on req/prov strings ending with '[=='

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.3.4-3
- (866fe4d) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.3.4-2
- (d4336b4) MassBuild#1169: Increase release tag

* Mon Jan 04 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.3.4-1
- (7c0f58e) Fix old package detection in urpm-repomanage in case when packages have different Epoch values

* Thu Nov 12 2015 Denis Silakov <dsilakov@gmail.com> 2.3.3-1
- (6cd0ef4) Reposync: recognize situations when one of conflicting packages obsoletes another

* Thu May 07 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3.2-1
- (dd5f9de) Fix indents in urpm-repodiff

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.3.1-2
- (65c02f3) MassBuild#656: Increase release tag

* Wed Feb 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3.1-1
- (29dcc3f) Fix issues with locale builds

* Wed Feb 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3-6
- (1c833b4) Add consolehelper config for urpm-reposync

* Mon Feb 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3-5
- (fb5bae9) Fix setup
- (Denis Silakov: d1e8a05) Build from ABF tarballs

* Mon Feb 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.2.6-4
- (4689a72) Experimental fix for conflict processing

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.2.6-3
- (63fa8b7) MassBuild#440: Increase release tag

* Tue May 27 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.2.6-2
- (2a6a0df) Bump release

* Mon Mar 17 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.2.6-1
- (632bb91) Fix setup
- (Denis Silakov: 1c26596) Updated to 2.2.6 - added --oleave-oldest option to urpm-repomanage

* Thu Feb 27 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.2.5-2
- (f2b91de) More noarch handling fixes

* Tue Feb 18 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.2.5-1
- (0822c59) Fix error messages
- (Denis Silakov: d468230) Improve handling of noarch packages in reposync

* Mon May 27 2013 Denis Silakov <denis.silakov@rosalab.ru> 2.2.4-1
- (cd3ad95) LOG Updated to 2.2.4

* Mon Apr 22 2013 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2.3-1
- (242a67f) New version: 2.2.3

* Thu Feb 07 2013 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2.2-2
- (24769f3) Small fixes

* Wed Dec 12 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2.2-1
- (1dd2526) Code cleaning and usability improvements

* Tue Oct 30 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2.1-0
- (52b9272) Fixed bug #1030

* Thu Oct 25 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2-1
- (718bcc0) urpm-downloader have been fixed

* Fri Oct 19 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.2-0
- (0f5667a) 2.2 - new reposync, some other fixes

* Tue Sep 18 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.1-3
- (d305115) Fixed bug #773

* Tue Aug 28 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1-1
- (4d5e74e) LOG Spec cleanup, fix files

* Thu May 24 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.1-0
- (de00221) LOG Totally new reposync, updated repomanage

* Mon Apr 23 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.0-4
- (624fecb) LOG fixed bug #115, improved dependency resolving


